Next Steps
==========

In this section, we'll consider some "Day 2" operations, such as making a snapshot, creating a template for future deployments, and deleting resources that are no longer needed.

## Create a snapshot

Navigate to the [Virtual Machines](https://rancher.lsit.ucsb.edu/dashboard/harvester/c/c-m-fjm68t66/kubevirt.io.virtualmachine) view.  Click the three dots next to your VM on the right-hand side and select "Take VM Snapshot".  Give it a name and click "Create".

On the left-hand side, click on "Backup & Snapshot" to expand it and select [VM Snapshots](https://rancher.lsit.ucsb.edu/dashboard/harvester/c/c-m-fjm68t66/harvesterhci.io.vmsnapshot).  You can see the snapshot here.  Note options to replace or restore the existing volume from the snapshot.

## Create a VM Template

Creating a VM template let's you quickly deploy Nextcloud in the future on demand based on what you have already done.  This can be especially useful for app development, testing, etc.

Navigate to the [Virtual Machines](https://rancher.lsit.ucsb.edu/dashboard/harvester/c/c-m-fjm68t66/kubevirt.io.virtualmachine) view.  Click the three dots next to your VM on the right-hand side and select "Generate Template".  In this scenario, you'll want to include data.

Now, on the navigation on the left hand side, click Advanced to expand it and then click on [Templates](https://rancher.lsit.ucsb.edu/dashboard/harvester/c/c-m-fjm68t66/harvesterhci.io.virtualmachinetemplateversion).  You should see your new template appear here.  Note the option to "Deploy Instance" for the template on the right-hand side.  You can also use this template now in the create Virtual Machine form as well.

## Clean up

Now that we've reached the end, you can navigate back to the VM view, click on the 3 dots to the right of your VM and select delete.  Include the data volumes.  Harvester will take it from here, deprovisioning the VM and clearing up the Longhorn volumes from the compute nodes.

Congrats!  You made it to the end!  Now, have fun running Nextcloud with Harvester on your own hardware!